Subject: Re: compiler errors

From: David Edelsohn <[email-masked]>
Date: Wed, 13 Jan 1999 15:07:41 -0500

>>>>> satadru pramanik writes:

satadru> egcs 1.1.1c

	Hmm, well I thought that problem had been addressed in egcs-1.1.1.
The problem is that GCC is generating a memory reference with a
displacement (65536) which is larger than 16 bits.  Someone needs to try
to track down why the PowerPC port thinks that is a valid address instead
of splitting it into an intermediate offset in a register.

	Either GCC is generating that offset itself and the normal tests
for valid types of addressing are failing.  Or, something in the PowerPC
port explicitly is generating a memory operation which bypasses the tests
and is not explicitly checking for exceeding this offset limit.

David

[[ This message was sent via the linuxppc-dev mailing list. Replies are ]]
[[ not forced back to the list, so be sure to  Cc linuxppc-dev  if your ]]
[[ reply is of general interest. To unsubscribe from linuxppc-dev, send ]]
[[ the message 'unsubscribe' to [email-masked] ]]